# Enable "1" or disable "0" Java support
%define DX_JAVA 0

# Path to jni.h and jni_md.h
%define JNI_INCLUDE_PATH "/usr/local/jdk-1.3.0/include:/usr/local/jdk-1.3.0/include/linux"

# Path to npcosmop211.jar
%define cosmojar_PATH "/usr/local/jdk-1.3.0/classes/npcosmop211.jar"

# Path to java40.jar
%define java40jar_PATH ""

Name: dx
Version: 4.3.2
Release: alt1

Summary: IBM Open Visualization Data Explorer
License: IBM PUBLIC LICENSE
Group: Sciences/Other
Url: http://www.opendx.org

Source0: %name-%version.tar.bz2
Source1: dx-README.alt
Source2: dx-mini.xpm
Source3: dx.xpm
Source4: dx.menu
Patch0: dx-4.3.2-alt1-makefile-installdir.patch.bz2
Patch1: dx-4.3.0-alt1-makefile-installman.patch.bz2
Patch2: dx-4.3.0-alt1-makefile-remove_url_handler.sh.patch
Patch3: dx-4.3.0-alt1-makefile-javaclasspath.patch
Patch4: dx-4.3.0-alt1-dxroot.patch

# Automatically added by buildreq on Thu Nov 27 2003
BuildRequires: XFree86-devel XFree86-libs bzlib-devel flex freetype2-devel gcc2.96-c++ gcc2.96-g77 libGLU-devel libGLwrapper libImageMagick-devel libcdf-devel libexif-devel libhdf-devel libjpeg-devel liblcms-devel libnetcdf-devel libstdc++-devel libtiff-devel openmotif-devel xpm-devel zlib-devel

%package devel
Summary: Headers and static libraries for developing with OpenDX
Summary(ru_RU.KOI8-R):           OpenDX
Group: Development/C
Requires: %name = %version-%release

%package doc
Summary: OpenDX documentation in HTML format
Group: Sciences/Other
Requires: %name = %version-%release


%if %DX_JAVA
%package java
Summary: Java support in OpenDX
Summary(ru_RU.KOI8-R):  Java  OpenDX
Group: Development/Java
Requires: %name = %version-%release
%endif

%description
If you need visualization for anything from examining simple data sets
to analyzing complex, time-dependent data from disparate sources, OpenDX
has what you need: features and functions that let you easily gain
meaningful insight into your data.

And if you are looking to build visualization applications for your end
users, OpenDX has what you need: power to support their requirements and
versatility for customized application development.

OpenDX is a uniquely powerful, full-featured software package for the
visualization of scientific, engineering and analytical data: Its open
system design is built on familiar standard interface environments. And
its sophisticated data model provides users with great flexibility in
creating visualizations.

Since its introduction in 1991 as Visualization Data Explorer, it has
been continuously enhanced and expanded and now with the full source
code available to you, the features are limitless.

%description -l ru_RU.KOI8-R 
    - ,  
      ,  
     , OpenDX  ,  
.         
 .

       , 
OpenDX  ,   .      
 ,       
  .

OpenDX  ,    
 ,    .  
     ,  
       
   .

       Visualisation Data Explorer,
OpenDX    .     
   ,     .

%description devel
Headers and static libraries for developing with OpenDX.

%description -l ru_RU.KOI8-R devel
       
  OpenDX.

%description doc
OpenDX documentation in HTML format

%if %DX_JAVA
%description java
Java support in OpenDX

%description -l ru_RU.KOI8-R java
 Java   OpenDX.
%endif

%prep
if [ %DX_JAVA -ne 0 ]; then
  if [ -z %cosmojar_PATH ]; then \
	echo "You must define path to npcosmop211.jar in cosmojar_PATH variable!"; \
	exit 1; \
  fi
fi
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
install -m 644 %SOURCE1 ./README.alt

%build
CONFIGURE_FLAGS="--enable-new-keylayout"
%if !%DX_JAVA
  CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-javadx=no"
%else
  CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-javadx=yes"
  if ! [ -z %cosmojar_PATH ]; then
	CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-cosmojar-path=%cosmojar_PATH"
  fi
  if ! [ -z %java40jar_PATH ]; then
	CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-java40jar-path=%java40jar_PATH"
  fi
  if ! [ -z %JNI_INCLUDE_PATH ]; then
	CONFIGURE_FLAGS="$CONFIGURE_FLAGS --with-jni-path=%JNI_INCLUDE_PATH"
  fi
%endif

%set_gcc_version 2.96
%configure $CONFIGURE_FLAGS
%make_build

%install
%define docdir %_docdir/%name-%version
%makeinstall htmldir="$RPM_BUILD_ROOT%docdir/html" \
  docdir="$RPM_BUILD_ROOT%docdir/doc" \
  pagesdir="$RPM_BUILD_ROOT%docdir/html/pages" \
  imagesdir="$RPM_BUILD_ROOT%docdir/html/images"

%__install -m 644 LICENSE README README.alt ChangeLog $RPM_BUILD_ROOT%docdir

# menu
%__install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

# icon
%__install -pD -m644 %SOURCE3 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_miconsdir/%name.xpm


%post
%update_menus


%postun
%clean_menus


%files
%dir %_libdir/%name
%_bindir/*
%_libdir/%name/bin
%_libdir/%name/bin_linux
%_libdir/%name/fonts
%_libdir/%name/help
%_libdir/%name/lib
%_libdir/%name/lib_linux
%_libdir/%name/ui
%_mandir/man1/*
%_menudir/%name
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%dir %docdir
%docdir/doc
%docdir/[A-Z]*

%files devel
%dir %_libdir/%name
%_includedir/*
%_libdir/%name/*.a
#%_libdir/%name/*.la

%files doc
%dir %docdir
%docdir/html

%if %DX_JAVA
%files java
%dir %_libdir/%name
%_libdir/%name/java
%endif

%changelog
* Mon Dec 01 2003 Yury A. Zotov <yz@altlinux.ru> 4.3.2-alt1
- 4.3.2
- Do not package .la files.

* Tue Oct 28 2003 Yury A. Zotov <yz@altlinux.ru> 4.3.0-alt2
- Build with openmotif again
- HTML documentation moved to dx-doc package

* Wed Oct 15 2003 Yury A. Zotov <yz@altlinux.ru> 4.3.0-alt1
- 4.3.0
- build with gcc-3.2
- build with lesstif

* Thu Nov 14 2002 Yury A. Zotov <yz@altlinux.ru> 4.2.0-alt2
- BuildRequies updated
- added menu entry for OpenDX
- removed unnecessary dependencies

* Fri Jun 7 2002 Yury A. Zotov <yz@altlinux.ru> 4.2.0-alt1
- new version

* Fri Apr 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 4.1.3-alt7
- Rebuilt with openmotif-2.2.2.

* Mon Jan 21 2002 Yury A. Zotov <yz@altlinux.ru> 4.1.3-alt6
- package description in russian

* Thu Nov 8 2001 Yury A. Zotov <yz@altlinux.ru> 4.1.3-alt5
- package group name corrected

* Mon Oct 15 2001 Dmitry V. Levin <ldv@alt-linux.org> 4.1.3-alt4
- Rebuilt with lesstif-0.93.12.

* Wed Jun 28 2001 Yury A. Zotov <yz@altlinux.ru> 4.1.3-alt3
- added devel package
- added java package
- files rearrangement
- spec-file cleanup

* Mon Jun 18 2001  Yura Zotov  <yznews@hotbox.ru> 4.1.3-alt2
- malfunction spin-boxes fixed

* Mon Jun 18 2001  Yura Zotov  <yznews@hotbox.ru> 4.1.3-alt1
- Initial revision.
